## org.eclipse.jetty.annotations
Class AnnotationParser.SimpleValue

    java.lang.Object
      org.eclipse.jetty.annotations.AnnotationParser.Value
          org.eclipse.jetty.annotations.AnnotationParser.SimpleValue

Enclosing class:
  AnnotationParser

    public class AnnotationParser.SimpleValue

extends AnnotationParser.Value

Constructor Summary
`AnnotationParser.SimpleValue(String name)`

Method Summary
`Object` `getValue()`
`void` `setValue(Object val)`
`String` `toString()`

Methods inherited from class org.eclipse.jetty.annotations.AnnotationParser.Value
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotationParser.SimpleValue

    public AnnotationParser.SimpleValue(String name)

Method Detail

### setValue

    public void setValue(Object val)

### getValue

    public Object getValue()

  Specified by:
    `getValue` in class `AnnotationParser.Value`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.